
package reparto_mazapa.keymon.lat;

import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RemoteObject;

public class c_noventa {
    public static RemoteObject myClass;
	public c_noventa() {
	}
    public static PCBA staticBA = new PCBA(null, c_noventa.class);

public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _root = RemoteObject.declareNull("anywheresoftware.b4a.objects.B4XViewWrapper");
public static RemoteObject _xui = RemoteObject.declareNull("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");
public static RemoteObject _g = RemoteObject.declareNull("anywheresoftware.b4a.gps.GPS");
public static RemoteObject _c = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
public static RemoteObject _comentario = RemoteObject.createImmutable("");
public static RemoteObject _cancela = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _guarda = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _r_1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper");
public static RemoteObject _r_2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper");
public static RemoteObject _r_3 = RemoteObject.declareNull("anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper");
public static RemoteObject _e_comm = RemoteObject.declareNull("anywheresoftware.b4a.objects.EditTextWrapper");
public static RemoteObject _motivo = RemoteObject.createImmutable("");
public static RemoteObject _cuenta = RemoteObject.createImmutable("");
public static RemoteObject _usuario = RemoteObject.createImmutable("");
public static RemoteObject _sdate = RemoteObject.createImmutable("");
public static RemoteObject _stime = RemoteObject.createImmutable("");
public static RemoteObject _r_4 = RemoteObject.declareNull("anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper");
public static RemoteObject _p_principal = RemoteObject.declareNull("anywheresoftware.b4a.objects.PanelWrapper");
public static RemoteObject _d = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
public static RemoteObject _reqmanager = RemoteObject.declareNull("reparto_mazapa.keymon.lat.dbrequestmanager");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static reparto_mazapa.keymon.lat.main _main = null;
public static reparto_mazapa.keymon.lat.appupdater _appupdater = null;
public static reparto_mazapa.keymon.lat.tracker _tracker = null;
public static reparto_mazapa.keymon.lat.starter _starter = null;
public static reparto_mazapa.keymon.lat.subs _subs = null;
public static reparto_mazapa.keymon.lat.firebasemessaging _firebasemessaging = null;
public static reparto_mazapa.keymon.lat.foto _foto = null;
public static reparto_mazapa.keymon.lat.mapa_cliente _mapa_cliente = null;
public static reparto_mazapa.keymon.lat.mapa_rutas _mapa_rutas = null;
public static reparto_mazapa.keymon.lat.newinst2 _newinst2 = null;
public static reparto_mazapa.keymon.lat.b4xpages _b4xpages = null;
public static reparto_mazapa.keymon.lat.b4xcollections _b4xcollections = null;
public static reparto_mazapa.keymon.lat.httputils2service _httputils2service = null;
public static reparto_mazapa.keymon.lat.xuiviewsutils _xuiviewsutils = null;
public static Object[] GetGlobals(RemoteObject _ref) throws Exception {
		return new Object[] {"c",_ref.getField(false, "_c"),"CANCELA",_ref.getField(false, "_cancela"),"COMENTARIO",_ref.getField(false, "_comentario"),"cuenta",_ref.getField(false, "_cuenta"),"d",_ref.getField(false, "_d"),"DateUtils",_ref.getField(false, "_dateutils"),"e_comm",_ref.getField(false, "_e_comm"),"g",_ref.getField(false, "_g"),"GUARDA",_ref.getField(false, "_guarda"),"motivo",_ref.getField(false, "_motivo"),"p_principal",_ref.getField(false, "_p_principal"),"r_1",_ref.getField(false, "_r_1"),"r_2",_ref.getField(false, "_r_2"),"r_3",_ref.getField(false, "_r_3"),"r_4",_ref.getField(false, "_r_4"),"reqManager",_ref.getField(false, "_reqmanager"),"Root",_ref.getField(false, "_root"),"sDate",_ref.getField(false, "_sdate"),"sTime",_ref.getField(false, "_stime"),"usuario",_ref.getField(false, "_usuario"),"xui",_ref.getField(false, "_xui")};
}
}